Subject: Re: [PATCH] Make cl-proclaim and cl-declaim obsolete

From: Stefan Monnier <[email-masked]>
Date: Wed, 26 Feb 2025 09:19:33 -0500

>>>> Nah, better keep it for ourselves.
>>> OK, then please install.
>> Hmm... did you miss the smiley in my message, or did I miss yours?
> I probably missed yours. 😀
> But more seriously, I don't think I have an opinion about documenting
> this.  Maybe we should for the usual reasons, but if it's really only
> useful in this one niche use case, I'd be fine with keeping it internal
> (and thus undocumented) too.

No, I think it's useful generally enough that I chose this behavior as
the default behavior for OClosures (without even a way to override it).
I think I'll be tempted to use it at more places (I always considered
the `cl-declaim` way much to get this behavior much too ugly).

        Stean